## org.exist.validation
Class ValidationReport

    java.lang.Object
      org.exist.validation.ValidationReport

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

public class ValidationReport
extends java.lang.Object
implements org.xml.sax.ErrorHandler

Report containing all validation info (errors, warnings).

Author:
  dizzz
See Also:
  `ErrorHandler`

Constructor Summary
`ValidationReport()`

Method Summary
`void` `error(org.xml.sax.SAXParseException exception)` Receive notification of a recoverable error.
`void` `fatalError(org.xml.sax.SAXParseException exception)` Receive notification of a non-recoverable error.
`long` `getValidationDuration()`
`java.util.List` `getValidationReport()`
`java.lang.String[]` `getValidationReportArray()`
`boolean` `isValid()` Give validation information of the XML document.
`void` `setException(java.lang.Exception ex)`
`void` `setValidationDuration(long time)`
`java.lang.String` `toString()`
`void` `warning(org.xml.sax.SAXParseException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationReport

    public ValidationReport()

Method Detail

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Receive notification of a recoverable error.

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Receive notification of a non-recoverable error.

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Receive notification of a warning.

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### setException

    public void setException(java.lang.Exception ex)

### isValid

    public boolean isValid()

  Give validation information of the XML document.

  Returns:
    FALSE if no errors and warnings occurred.

### getValidationReport

    public java.util.List getValidationReport()

### getValidationReportArray

    public java.lang.String[] getValidationReportArray()

### setValidationDuration

    public void setValidationDuration(long time)

### getValidationDuration

    public long getValidationDuration()

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.